Uploaded image for project: 'Moodle'
  1. Moodle
  2. MDL-63420

Prepare Moodle for PHP 7.3

    XMLWordPrintable

    Details

    • Type: Epic
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.6, 3.7
    • Fix Version/s: 3.6.4
    • Component/s: General
    • Labels:
      None
    • Testing Instructions:
      Hide

      A) Verify the docs have been updated with the information about PHP 7.3 support., at very least:

      Show
      A) Verify the docs have been updated with the information about PHP 7.3 support., at very least: PHP 7.x support: https://docs.moodle.org/dev/Moodle_and_PHP7 Upgrade notes: https://docs.moodle.org/36/en/Upgrading Release notes (future to be created), see https://docs.moodle.org/dev/Moodle_3.6_release_notes as example
    • Affected Branches:
      MOODLE_36_STABLE, MOODLE_37_STABLE
    • Fixed Branches:
      MOODLE_36_STABLE
    • Epic Name:
      Prepare Moodle for PHP 7.3

      Description

      An, hopefully, small epic to turn Moodle ready for PHP 7.3 (end of 2018).

      Some initial links:

      Some basic requirements for this:

      • get unit and acceptance tests passing.
      • check all the upgrading details have been reviewed and fixed.
      • ensure older versions of Moodle don't work with PHP 7.3 (MDL-63421)
      • Update docs once this is ready.
      • ...

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                9 Vote for this issue
                Watchers:
                14 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Fix Release Date:
                  13/May/19